import type { MergeStrategy } from '../../../config/types';
import type { GitUrlOption, Pr } from '../types';
import type { PR, PRMergeMethod, Repo } from './types';
export declare function smartLinks(body: string): string;
export declare function trimTrailingApiPath(url: string): string;
export declare function getRepoUrl(repo: Repo, gitUrl: GitUrlOption | undefined, endpoint: string): string;
export declare function getMergeMethod(strategy: MergeStrategy | undefined): PRMergeMethod | null;
export declare const API_PATH = "/api/v1";
export declare const DRAFT_PREFIX = "WIP: ";
export declare function toRenovatePR(data: PR, author: string | null): Pr | null;
